module(..., package.seeall)

-- Load libraries
require("controllerfunctions")

default_action = "status"

function status(self)
	return self.model.getstatus()
end

function editpap(self)
	return controllerfunctions.handle_form(self, self.model.read_papfiledetails, self.model.update_papfiledetails, self.clientdata, "Save", "Edit Config", "Configuration Set")
end

function editchap(self)
	return controllerfunctions.handle_form(self, self.model.read_chapfiledetails, self.model.update_chapfiledetails, self.clientdata, "Save", "Edit Config", "Configuration Set")
end

function listpeers(self)
	return self.model.list_peers()
end

function createpeer(self)
	return controllerfunctions.handle_form(self, self.model.get_newpeer, self.model.create_peer, self.clientdata, "Create", "Create New Peer File", "Peer File Created")
end

function deletepeer(self)
	return self:redirect_to_referrer(self.model.delete_peer(self.clientdata.name))
end

function editpeer(self)
	return controllerfunctions.handle_form(self, function() return self.model.read_peerfile(self.clientdata.name) end, self.model.update_peerfile, self.clientdata, "Save", "Edit PPP Peer", "Peer Configuration Set")
end
