<% local form, viewlibrary, page_info, session = ... 
require("viewfunctions")
%>

<% displaycommandresults({"deletepeer", "editpeer"}, session) %>
<% displaycommandresults({"createpeer"}, session, true) %>

<h1>Peer Files</h1>
<TABLE>
	<TR style="background:#eee;font-weight:bold;">
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Action</TD>
		<TD style="white-space:nowrap;text-align:left;" class="header">Peer File</TD>
	</TR>		
<% for i,file in ipairs(form.value) do %>
	<TR>
		<TD style="padding-right:20px;white-space:nowrap;">
			<%
			if session.permissions[page_info.controller].deletepeer then io.write(html.link{value = "deletepeer?name=" .. file, label="Delete " }) end
			if session.permissions[page_info.controller].editpeer then io.write(html.link{value = "editpeer?name=" .. file.."&redir="..page_info.orig_action, label="Edit " }) end
			%>
		</TD>
		<TD style="white-space:nowrap;" width="90%"><%= html.html_escape(string.gsub(file, "^.*/", "")) %></TD>
	</TR>
<% end %>
</TABLE>

<% if viewlibrary and viewlibrary.dispatch_component and session.permissions[page_info.controller].createpeer then
	viewlibrary.dispatch_component("createpeer")
end %>

